process.chdir(__dirname);

const fs = require('fs');

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-GW@${config.handler_name || 'DUMMY2022'}`;

require('komodo-sdk/api-server');
const sdNotify = require('komodo-sdk/sd-notify');

const pullgw = require('komodo-sdk/gateway/pull');
const partner = require('./lib/partner');

pullgw.setPartner(partner);

fs.writeFileSync('pid.txt', process.pid.toString());

sdNotify();
