module.exports = (remoteProductStr) => {
    const items = (remoteProductStr || '')
        .trim()
        .toUpperCase()
        .split(/ *[;,|] */)
        .filter((item) => item);

    const retval = {
    };

    const itemCount = items.length;
    for (let i = 0; i < itemCount; i += 1) {
        const [keyword, value] = items[i].split(/ *[=:] */);
        if (keyword) {
            retval[keyword] = value;
        }
    }

    return retval;
};
